Check if table exists in database

- « Table::delete

- Table::getName »

- PHP Manual
- mysql_xdevapi\Table
- Check if table exists in database

# Table::existsInDatabase

(No version information available, might only be in Git)

Table::existsInDatabase — Check if table exists in database

### Description

public mysql_xdevapi\Table::existsInDatabase(): bool

Verifies if this table exists in the database.

### Parameters

This function has no parameters.

### Return Values

Returns `true` if table exists in the database, else `false` if it does not.

### Examples

Example #1 mysql_xdevapi\Table::existsInDatabase() example

    <?php
    $session = mysql_xdevapi\getSession("mysqlx://user:password@localhost");

    $session->sql("DROP DATABASE IF EXISTS addressbook")->execute();
    $session->sql("CREATE DATABASE addressbook")->execute();
    $session->sql("CREATE TABLE addressbook.names(name text, age int)")->execute();
    $session->sql("INSERT INTO addressbook.names values ('John', 42), ('Sam', 33)")->execute();

    $schema = $session->getSchema("addressbook");
    $table  = $schema->getTable("names");

    if ($table->existsInDatabase()) {
      echo "Yes, this table still exists in the session's schema.";
    }
    ?>

The above example will output something similar to:

    Yes, this table still exists in the session's schema.